/*Texts*/
.widget-header h2 {
  font-size: clamp(1.125rem, 1.6rem + 2vw, 2.3rem); !important;
}

/*Overwrite*/

.splide__arrow {
  background: #fff9;
  padding: 20px;
}

.catalog-actions .facets-toggle {
  background: #fff;
}


.btn-check:focus + .btn-primary, .btn-primary:focus, .btn-primary:hover,
.product.product--grid:hover .product__add-to-cart.btn.btn-primary {
  background-color: #418a1f !important;
}




@media (min-width: 992px) {
  .header__menu-item:hover {
    background: #418a1f;
  }     
  .header__menu-item > a:hover {
    color: #fff;
  }
}


/*Featured Icons*/
.mdp-featured-icons {
  gap: 20px !important;
}

.mdp-featured-icons .bslot-multi-icon__cell {
  background: #fff !important;
  border-radius: 12px;
  box-shadow: 0px 3px 15px #0001;
}

.mdp-featured-icons .bslot-multi-icon__title,
.mdp-featured-icons .bslot-multi-icon__title a{
  color: #2b602f;
  text-decoration: none !important;
}

.mdp-featured-icons .bslot-multi-icon__text {
  font-size: 13px;
}


/*Badges*/
.grid-image__badge.grid-image__badge--new,
.product-summary__badge--new,
.compact-image__badge--new,
.list-image__badge--new {
  border-radius: 8px 0px;
  width: 100%;
}

.grid-image__badge.grid-image__badge--price-discount,
.product-summary__badge--price-discount,
.compact-image__badge--price-discount,
.list-image__badge--price-discount {
  border-radius: 0px 8px;
  width: 100%;
}

/*Product Grid*/
.widget-products-grid .products-grid {
  padding-left: 1.125rem !important;
  padding-right: 1.125rem !important;
}

.products-grid__items {
  gap: 1.5rem !important;
}

.product.product--grid,
.product.product--slider,
.product.product--compact {
  background: var(--bs-white);
  border-radius: 21px;
  box-shadow: 0px 0px 30px #0001;
  text-align: center;
  padding-bottom: 0;
}

.product--grid .product__info--price-row,
.product.product--slider .product__info--price-row,
.product.product--compact {
    justify-content: center;
}


.product__add-to-cart.btn.btn-primary {
  font-size: clamp(0.85rem, 1vw + 0.2rem, 1.1rem);
}

.grid-image__image-wrapper {
  overflow: hidden;
}

.product.product--grid:hover .grid-image__image {
  transform: scale(1.1);
  transition: transform .5s ease-in-out;
}

/*Product Slides Fix*/
.slider-image,
.compact-image{
  position: relative;
  margin: 1.2rem;
}

.product-content__block--recommendations {
  background: #4fad6f !important;
}

.product-content__block--recommendations .product-content__block-heading {
  color: #fff;
  background: var(--bs-orange);
  width: fit-content;
  padding: 12px;
  border-radius: 21px;
}



/*Product Summary*/
.product-content__block {
  padding: clamp(1.2rem, 3vw, 3rem);
  background: var(--bs-white);
  border-radius: 21px;
  box-shadow: 0px 0px 30px #0001;
}



/*Newsletter Widget*/

.footer__widgets {
  padding-left: 1.125rem !important;
  padding-right: 1.125rem !important;
}

.mdp-newsletter-container {
  background: var(--bs-white);
  border-radius: 21px;
  box-shadow: 0px 0px 30px #0001;
  padding: 32px;
  margin-top: 4rem;
  margin-bottom: 3rem;
  align-items: center;
}

.mdp-newsletter-container .widget-newsletter__heading {
  text-align: left;
  margin: 0;
  font-size: 2.3rem;
}


/*Slide Categorii*/
.mdp-category-slides .category-block {
  background: #fff;
  flex-basis: 100%;
  min-height: 180px;
  border-radius: 21px;
  overflow: hidden;
  box-shadow: 0px 0px 30px #0001;
}

.mdp-category-slides .splide__track {
  padding-bottom: 1.125rem;
}

.mdp-category-slides .category-block__name {
  background: rgba(255, 255, 255, 0.7);
  color: var(--bs-gray-dark);
  display: block;
  font-weight: 600;
  padding: .6875rem;
  text-align: center;
  text-transform: full-size-kana;
}

/*Mobile Style Fix*/

@media only screen and (max-width: 640px) {
.mdp-newsletter-container {margin: 2rem 1rem;}    
.mdp-newsletter-container .widget-newsletter__heading {
    text-align: center;
    font-size: 2rem;
}

.products-grid__items {
  gap: 1rem !important;
}

/**/
/* Container principal */

#bslot_eb386d4f-731f-4843-84b6-a8d0a482a5c1 {
    overflow: hidden;
    position: relative;
    width: 3000px;
}

/* Track orizontal */
#bslot_eb386d4f-731f-4843-84b6-a8d0a482a5c1 {
    display: flex;
    flex-wrap: nowrap;
}

/* Elementele */
#bslot_eb386d4f-731f-4843-84b6-a8d0a482a5c1 .bslot-multi-icon__cell {
    flex: 0 0 auto;
    min-width: 250px; /* ajustează dacă vrei mai mic/mare */
}

/* Animație automată */
@keyframes autoScrollIcons {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}

/* Clasa activă pentru animație */
.auto-scroll-active {
    animation: autoScrollIcons 20s linear infinite;
}


}